namespace ProjectTank.Entities
{
    public class EntityTank
    {
         
        /// <summary>
         /// Скорость
         /// </summary>
        public int Speed { get; private set; }

        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; private set; }

        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; private set; }

        /// <summary>
        /// Шаг перемещения танка
        /// </summary>
        public double Step => Speed * 100 / Weight;
        public void SetBodyColor(Color color)
        {
            BodyColor = color;
        }

        /// <summary>
        /// Конструктор сущности
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Веc</param>
        /// <param name="bodyColor">Основной цвет</param>

        public EntityTank(int speed, double weight, Color bodyColor)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;

        }
    }
}
